Last Comment Bug 239977 - Support ISO 639-2 code "tlh" for Klingon
: Support ISO 639-2 code "tlh" for Klingon
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: Simon Montagu :smontagu
: Yuying Long
Mentors:
http://tlh.wikipedia.org/wiki/Hov_leng
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 21:52 PDT by Thomas Thurman
Modified: 2004-10-11 13:22 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (592 bytes, patch)
2004-10-09 14:21 PDT, Simon Montagu :smontagu
no flags Details | Diff | Review
Patch including what was missing (2.20 KB, patch)
2004-10-09 23:40 PDT, Simon Montagu :smontagu
jshin1987: review+
roc: superreview+
Details | Diff | Review

Description Thomas Thurman 2004-04-07 21:52:25 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040207 Firefox/0.8
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040207 Firefox/0.8

In February, the ISO 639 committee approved the language code "tlh" for Klingon
(see URL given for code change notice). This should be added to Mozilla's
knowledge of the ISO 639 code at some point. Klingon makes a nice demo of the
capability of a browser to deal with tagged multilingual content; besides, there
certainly are pages out there in Klingon.

This can be done by adding the line

tlh = Klingon

to languageNames.properties in both the places it occurs in seamonkey
(mozilla/xpfe/global/resources/locale/en-US/ languageNames.properties and
mozilla/toolkit/locale/languageNames.properties ).

This is nowhere near anything like approaching urgent.

Reproducible: Always
Steps to Reproduce:
Comment 1 Simon Montagu :smontagu 2004-04-18 09:10:10 PDT
Can you give some example URIs of pages in Klingon? I assume (and hope) that you
are referring to Klingon in Latin script. See
http://eikenes.alvestrand.no/pipermail/ietf-languages/2004-February/001735.html
and other messages in the thread.
Comment 2 Thomas Thurman 2004-10-08 10:53:03 PDT
Sure. Wikipedia has some pages in Klingon which use "tlh" for the language code,
for example:

http://tlh.wikipedia.org/wiki/Hov_leng
Comment 3 Simon Montagu :smontagu 2004-10-09 14:21:01 PDT
Created attachment 161604 [details] [diff] [review]
Patch
Comment 4 Jungshik Shin 2004-10-09 20:29:40 PDT
Why don't you add it to toolkit/locale/languageNames.properties
as well? In addition, 'tlh' has to be added to
intl/locale/src/languages.properties. And perhaps,  'tlh' has to be mapped to
'x-western' (for now) in 'langGroups.properties' 
Comment 5 Simon Montagu :smontagu 2004-10-09 23:40:43 PDT
Created attachment 161649 [details] [diff] [review]
Patch including what was missing

Apologies for that too hasty patch last night. This one should be better.

By the way, in case anyone else tries to test putting Klingon at the top of
their Accept-Language header and going to Google, there is a bug in Google's
content negotiation (mentioned already in bug 208277 comment 4) which will make
the results come out in Tagalog.
Comment 6 Jungshik Shin 2004-10-10 20:32:02 PDT
Comment on attachment 161649 [details] [diff] [review]
Patch including what was missing

r=jshin
thanks.
Comment 7 Simon Montagu :smontagu 2004-10-10 21:16:22 PDT
Comment on attachment 161649 [details] [diff] [review]
Patch including what was missing

Roc, can you sr? Will you give blanket rs for adding new language codes that
get added to ISO-639 from time to time?
Comment 8 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2004-10-11 08:05:04 PDT
Comment on attachment 161649 [details] [diff] [review]
Patch including what was missing

Yes, I'll grant a blanket sr for adding these language codes.
Comment 9 Simon Montagu :smontagu 2004-10-11 13:22:10 PDT
Fix checked in.

Note You need to log in before you can comment on or make changes to this bug.